////////////////////////////////////////////////////////////////////////////////
//
// (C) Copyright 1993-1998, Tidestone Technologies, Inc.  All Rights Reserved.
//

#ifndef __VCFI6_H__
#define __VCFI6_H__

////////////////////////////////////////////////////////////////////////////////
//
//	Definition of error codes
//
typedef enum {
    VtOk = 0,
    VtFail = 1000,
    VtErrorDeletingUsedObject = 1001,
    VtErrorDeletingDeletedObject = 1002,
    VtErrorCorruptData = 1003,
    VtErrorNotImplemented = 1004,
    VtErrorLockedObject = 1005,
    VtErrorNoMemory = 1100,
    VtErrorInvalidArgument = 1101,
    VtErrorNotFound = 1102,
    VtErrorTooSmall = 1103,
    VtErrorInvalidRequest = 1104,
    VtErrorStreamIo = 1105,
    VtErrorUserIo = 1106,
    VtErrorCorruptArchive = 1107,
    VtErrorArchiveVersion = 1108,
    VtErrorArchiveTypeMismatch = 1109,
    VtErrorArchivePointerMismatch = 1110,
    VtErrorCannotOpenFile = 1111,
    VtErrorUnableToLoadString = 1112,
    VtErrorBufferTooSmall = 1113,
    VtErrorCopyingObject = 1114,
    VtErrorDuplicateObject = 1115,
    VtErrorActionCanceled = 1116,
    VtErrorInvalidIndex = 1117,
    VtErrorInvalidTypeConversion = 1118,
    VtErrorInvalidObject = 1119,
    VtErrorCreateWindow = 1120,
    VtErrorOSVersion = 1121,
    VtErrorLoadPicture = 1122,
    VtErrorFileRead = 1123,
    VtErrorFileWrite = 1124,
    VtErrorInvalidDate = 1125,
    VtErrorInvalidSyntax = 1200,
    VtErrorIdentifierTooBig = 1201,
    VtErrorUnrecognizedFunction = 1202,
    VtErrorUnrecognizedSymbol = 1203,
    VtErrorUnexpectedEOS = 1204,
    VtErrorDuplicateSymbol = 1205,
    VtErrorDisplay = 1500,
    VtErrorInvalidFontName = 1501,
    VtErrorInvalidFont = 1502,
    VtErrorNoDisplayResources = 1503,
    VtErrorDefaultFontSubstituted = 1504,
    VtChError = 2000,
    VtChErrorInvalidHandle = 2001,
    VtChErrorNoData = 2002,
    VtChErrorInvalidSeriesNumber = 2003,
    VtChErrorInvalidAxis = 2004,
    VtChErrorRestrictedVersion = 2005,
    InvalidPropertyValue = 380,
    GetNotSupported = 394,
    SetNotSupported = 383,
    InvalidProcedureCall = 5,
    InvalidObjectUse = 425,
    WrongClipboardFormat = 461,
    DataObjectLocked = 672,
    ExpectedAnArgument = 673,
    RecursiveOleDrag = 674,
    UserFormatNotBinArray = 675,
    DataNotSetForFormat = 676,
    InvalidSafeModeProcCall = 680
} VtErrorNumber;


////////////////////////////////////////////////////////////////////////////////
// OLE
typedef enum {
    VtOLEDropNone,
    VtOLEDropManual,
    VtOLEDropAutomatic
} OLEDropConstants;


typedef enum {
    VtOLEDragManual,
    VtOLEDragAutomatic
} OLEDragConstants;


typedef enum {
    VtEnter,
    VtLeave,
    VtOver
} DragOverConstants;


typedef enum {
    VtCFText = 1,
    VtCFBitmap = 2,
    VtCFMetafile = 3,
    VtCFDIB = 8,
    VtCFPalette = 9,
    VtCFEMetafile = 14,
    VtCFFiles = 15,
    VtCFRTF = -16639
} ClipBoardConstants;


typedef enum {
    VtOLEDropEffectNone,
    VtOLEDropEffectCopy,
    VtOLEDropEffectMove,
    VtOLEDropEffectScroll = 0x80000000
} OLEDropEffectConstants;

////////////////////////////////////////////////////////////////////////////////
// VtHorizontalAlignment
// 	Defines the types of horizontal text alignment
//
typedef enum {
    VtHorizontalAlignmentLeft = 0,
    VtHorizontalAlignmentRight = 1,
    VtHorizontalAlignmentCenter = 2
} VtHorizontalAlignment;

////////////////////////////////////////////////////////////////////////////////
// VtVerticalAlignment
// 	Defines the types of vertical text alignment
//
typedef enum {
    VtVerticalAlignmentTop = 0,
    VtVerticalAlignmentBottom = 1,
    VtVerticalAlignmentCenter = 2
} VtVerticalAlignment;

////////////////////////////////////////////////////////////////////////////////
// VtOrientation
// 	Defines the orientation of the text
//
typedef enum {
    VtOrientationHorizontal = 0,
    VtOrientationVertical = 1,
    VtOrientationUp = 2,
    VtOrientationDown = 3
} VtOrientation;

////////////////////////////////////////////////////////////////////////////////
// VtSortType
//
typedef enum {
    VtSortTypeNone = 0,
    VtSortTypeAscending = 1,
    VtSortTypeDescending = 2
} VtSortType;

////////////////////////////////////////////////////////////////////////////////
// VtAngleUnits
// 	Describes the type of angle units
//
typedef enum {
    VtAngleUnitsDegrees = 0,
    VtAngleUnitsRadians = 1,
    VtAngleUnitsGrads = 2
} VtAngleUnits;

////////////////////////////////////////////////////////////////////////////////
// printing
typedef enum {
    VtPrintScaleTypeActual = 0,
    VtPrintScaleTypeFitted = 1,
    VtPrintScaleTypeStretched = 2
} VtPrintScaleType;

typedef enum {
    VtPrintOrientationPortrait = 0,
    VtPrintOrientationLandscape = 1
} VtPrintOrientation;


////////////////////////////////////////////////////////////////////////////////
// Font
typedef enum {
    VtFontStyleBold = 1,
    VtFontStyleItalic = 2,
    VtFontStyleOutline = 4
} VtFontStyle;


typedef enum {
    VtFontEffectStrikeThrough = 256,
    VtFontEffectUnderline = 512
} VtFontEffect;


////////////////////////////////////////////////////////////////////////////////
// Brush
typedef enum {
    VtBrushStyleNull = 0,
    VtBrushStyleSolid = 1,
    VtBrushStylePattern = 2,
    VtBrushStyleHatched = 3
} VtBrushStyle;


typedef enum {
    VtBrushPattern94Percent = 0,
    VtBrushPattern88Percent = 1,
    VtBrushPattern75Percent = 2,
    VtBrushPattern50Percent = 3,
    VtBrushPattern25Percent = 4,
    VtBrushPatternBoldHorizontal = 5,
    VtBrushPatternBoldVertical = 6,
    VtBrushPatternBoldDownDiagonal = 7,
    VtBrushPatternBoldUpDiagonal = 8,
    VtBrushPatternChecks = 9,
    VtBrushPatternWeave = 10,
    VtBrushPatternHorizontal = 11,
    VtBrushPatternVertical = 12,
    VtBrushPatternDownDiagonal = 13,
    VtBrushPatternUpDiagonal = 14,
    VtBrushPatternGrid = 15,
    VtBrushPatternTrellis = 16,
    VtBrushPatternInvertedTrellis = 17,
    VtBrushPatternCount = 18
} VtBrushPatterns;


typedef enum {
    VtBrushHatchHorizontal = 0,
    VtBrushHatchVertical = 1,
    VtBrushHatchDownDiagonal = 2,
    VtBrushHatchUpDiagonal = 3,
    VtBrushHatchCross = 4,
    VtBrushHatchDiagonalCross = 5,
    VtBrushHatchCount = 6
} VtBrushHatches;


////////////////////////////////////////////////////////////////////////////////
// Shadow
typedef enum {
    VtShadowStyleNull = 0,
    VtShadowStyleDrop = 1
} VtShadowStyle;


////////////////////////////////////////////////////////////////////////////////
// Pen
typedef enum {
    VtPenStyleNull = 0,
    VtPenStyleSolid = 1,
    VtPenStyleDashed = 2,
    VtPenStyleDotted = 3,
    VtPenStyleDashDot = 4,
    VtPenStyleDashDotDot = 5,
    VtPenStyleDitted = 6,
    VtPenStyleDashDit = 7,
    VtPenStyleDashDitDit = 8,
    VtPenStyleNative = 9
} VtPenStyle;


typedef enum {
    VtPenJoinMiter = 0,
    VtPenJoinRound = 1,
    VtPenJoinBevel = 2
} VtPenJoin;


typedef enum {
    VtPenCapButt = 0,
    VtPenCapRound = 1,
    VtPenCapSquare = 2
} VtPenCap;


////////////////////////////////////////////////////////////////////////////////
// Frame
typedef enum {
    VtFrameStyleNull = 0,
    VtFrameStyleSingleLine = 1,
    VtFrameStyleDoubleLine = 2,
    VtFrameStyleThickInner = 3,
    VtFrameStyleThickOuter = 4
} VtFrameStyle;


////////////////////////////////////////////////////////////////////////////////
// Picture
typedef enum {
    VtPictureTypeNull = 0,
    VtPictureTypeBitmap = 1,
    VtPictureTypeVector = 2,
    VtPictureTypeBMP = 3,
    VtPictureTypeWMF = 4,
    VtPictureTypeGIF = 5,
    VtPictureTypeJPEG = 6
} VtPictureType;


typedef enum {
    VtPictureOptionNoSizeHeader = 1,
    VtPictureOptionTextAsCurves = 2
} VtPictureOption;


typedef enum {
    VtPictureMapTypeActual = 0,
    VtPictureMapTypeFitted = 1,
    VtPictureMapTypeStretched = 2,
    VtPictureMapTypeTiled = 3,
    VtPictureMapTypeCropFitted = 4,
    VtPictureMapTypeHorizontalTile = 5,
    VtPictureMapTypeVerticalTile = 6
} VtPictureMapType;


////////////////////////////////////////////////////////////////////////////////
// Gradient
typedef enum {
    VtGradientStyleHorizontal = 0,
    VtGradientStyleVertical = 1,
    VtGradientStyleRectangle = 2,
    VtGradientStyleOval = 3
} VtGradientStyle;


////////////////////////////////////////////////////////////////////////////////
// Fill
typedef enum {
    VtFillStyleNull = 0,
    VtFillStyleBrush = 1,
    VtFillStyleGradient = 2
} VtFillStyle;


////////////////////////////////////////////////////////////////////////////////
// Marker
typedef enum {
    VtMarkerStyleDash = 0,
    VtMarkerStylePlus = 1,
    VtMarkerStyleX = 2,
    VtMarkerStyleStar = 3,
    VtMarkerStyleCircle = 4,
    VtMarkerStyleSquare = 5,
    VtMarkerStyleDiamond = 6,
    VtMarkerStyleUpTriangle = 7,
    VtMarkerStyleDownTriangle = 8,
    VtMarkerStyleFilledCircle = 9,
    VtMarkerStyleFilledSquare = 10,
    VtMarkerStyleFilledDiamond = 11,
    VtMarkerStyleFilledUpTriangle = 12,
    VtMarkerStyleFilledDownTriangle = 13,
    VtMarkerStyle3dBall = 14,
    VtMarkerStyleNull = 15,
    VtMarkerStyleCount = 16
} VtMarkerStyle;


////////////////////////////////////////////////////////////////////////////////
// Projection
typedef enum {
    VtProjectionTypePerspective = 0,
    VtProjectionTypeOblique = 1,
    VtProjectionTypeOrthogonal = 2,
    VtProjectionTypeFrontal = 3,
    VtProjectionTypeOverhead = 4
} VtProjectionType;


////////////////////////////////////////////////////////////////////////////////
// Smoothing
typedef enum {
    VtSmoothingTypeNone = 0,
    VtSmoothingTypeQuadraticBSpline = 1,
    VtSmoothingTypeCubicBSpline = 2
} VtSmoothingType;


////////////////////////////////////////////////////////////////////////////////
// DcType
typedef enum {
    VtDcTypeNull = 0,
    VtDcTypeDisplay = 1,
    VtDcTypePrinter = 2,
    VtDcTypeMetafile = 3
} VtDcType;


////////////////////////////////////////////////////////////////////////////////
// Text
typedef enum {
    VtTextOutputTypeHardware = 0,
    VtTextOutputTypePolygon = 1
} VtTextOutputType;


typedef enum {
    VtTextLengthTypeVirtual = 0,
    VtTextLengthTypeDevice = 1
} VtTextLengthType;


////////////////////////////////////////////////////////////////////////////////
// VtChChartType
//		Defines the basic chart types.  NOTE: when adding new types, add them to
// 	the end of the list so saving and restoring will not have to be changed.
//
typedef enum {
    VtChChartType3dBar = 0,
    VtChChartType2dBar = 1,
    VtChChartType3dLine = 2,
    VtChChartType2dLine = 3,
    VtChChartType3dArea = 4,
    VtChChartType2dArea = 5,
    VtChChartType3dStep = 6,
    VtChChartType2dStep = 7,
    VtChChartType3dCombination = 8,
    VtChChartType2dCombination = 9,
    VtChChartType3dHorizontalBar = 10,
    VtChChartType2dHorizontalBar = 11,
    VtChChartType3dClusteredBar = 12,
    VtChChartType3dPie = 13,
    VtChChartType2dPie = 14,
    VtChChartType3dDoughnut = 15,
    VtChChartType2dXY = 16,
    VtChChartType2dPolar = 17,
    VtChChartType2dRadar = 18,
    VtChChartType2dBubble = 19,
    VtChChartType2dHiLo = 20,
    VtChChartType2dGantt = 21,
    VtChChartType3dGantt = 22,
    VtChChartType3dSurface = 23,
    VtChChartType2dContour = 24,
    VtChChartType3dScatter = 25,
    VtChChartType3dXYZ = 26,
    VtChChartTypeCount = 27
} VtChChartType;


////////////////////////////////////////////////////////////////////////////////
// VtChSeriesType
//		Defines the chart method types  NOTE: when adding new types, add them to
// 	the end of the list so saving and restoring will not have to be changed.
//
typedef enum {
    VtChSeriesTypeVaries = -2,
    VtChSeriesTypeDefault = -1,
    VtChSeriesType3dBar = 0,
    VtChSeriesType2dBar = 1,
    VtChSeriesType3dHorizontalBar = 2,
    VtChSeriesType2dHorizontalBar = 3,
    VtChSeriesType3dClusteredBar = 4,
    VtChSeriesType3dLine = 5,
    VtChSeriesType2dLine = 6,
    VtChSeriesType3dArea = 7,
    VtChSeriesType2dArea = 8,
    VtChSeriesType3dStep = 9,
    VtChSeriesType2dStep = 10,
    VtChSeriesType2dXY = 11,
    VtChSeriesType2dPolar = 12,
    VtChSeriesType2dRadarLine = 13,
    VtChSeriesType2dRadarArea = 14,
    VtChSeriesType2dBubble = 15,
    VtChSeriesType2dHiLo = 16,
    VtChSeriesType2dHLC = 17,
    VtChSeriesType2dHLCRight = 18,
    VtChSeriesType2dOHLC = 19,
    VtChSeriesType2dOHLCBar = 20,
    VtChSeriesType2dGantt = 21,
    VtChSeriesType3dGantt = 22,
    VtChSeriesType3dPie = 23,
    VtChSeriesType2dPie = 24,
    VtChSeriesType3dDoughnut = 25,
    VtChSeriesType2dDates = 26,
    VtChSeriesType3dBarHiLo = 27,
    VtChSeriesType2dBarHiLo = 28,
    VtChSeriesType3dHorizontalBarHiLo = 29,
    VtChSeriesType2dHorizontalBarHiLo = 30,
    VtChSeriesType3dClusteredBarHiLo = 31,
    VtChSeriesType3dSurface = 32,
    VtChSeriesType2dContour = 33,
    VtChSeriesType3dXYZ = 34,
    VtChSeriesTypeCount = 35
} VtChSeriesType;


////////////////////////////////////////////////////////////////////////////////
// VtChPartType
//		Describes the selectable chart elements
//
typedef enum {
    VtChPartTypeChart = 0,
    VtChPartTypeTitle = 1,
    VtChPartTypeFootnote = 2,
    VtChPartTypeLegend = 3,
    VtChPartTypePlot = 4,
    VtChPartTypeSeries = 5,
    VtChPartTypeSeriesLabel = 6,
    VtChPartTypePoint = 7,
    VtChPartTypePointLabel = 8,
    VtChPartTypeAxis = 9,
    VtChPartTypeAxisLabel = 10,
    VtChPartTypeAxisTitle = 11,
    VtChPartTypeSeriesName = 12,
    VtChPartTypePointName = 13,
    VtChPartTypeCount = 14
} VtChPartType;


////////////////////////////////////////////////////////////////////////////////
// VtChLocationType
//		Describes the location type of various chart elements
//
typedef enum {
    VtChLocationTypeTopLeft = 0,
    VtChLocationTypeTop = 1,
    VtChLocationTypeTopRight = 2,
    VtChLocationTypeLeft = 3,
    VtChLocationTypeRight = 4,
    VtChLocationTypeBottomLeft = 5,
    VtChLocationTypeBottom = 6,
    VtChLocationTypeBottomRight = 7,
    VtChLocationTypeCustom = 8
} VtChLocationType;


////////////////////////////////////////////////////////////////////////////////
// label text components
typedef enum {
    VtChLabelComponentValue = 1,
    VtChLabelComponentPercent = 2,
    VtChLabelComponentSeriesName = 4,
    VtChLabelComponentPointName = 8
} VtChLabelComponent;


////////////////////////////////////////////////////////////////////////////////
// VtChLabelLineStyle
typedef enum {
    VtChLabelLineStyleNone = 0,
    VtChLabelLineStyleStraight = 1,
    VtChLabelLineStyleBent = 2
} VtChLabelLineStyle;


////////////////////////////////////////////////////////////////////////////////
// VtChLabelLocationType
typedef enum {
    VtChLabelLocationTypeNone = 0,
    VtChLabelLocationTypeAbovePoint = 1,
    VtChLabelLocationTypeBelowPoint = 2,
    VtChLabelLocationTypeCenter = 3,
    VtChLabelLocationTypeBase = 4,
    VtChLabelLocationTypeInside = 5,
    VtChLabelLocationTypeOutside = 6,
    VtChLabelLocationTypeLeft = 7,
    VtChLabelLocationTypeRight = 8
} VtChLabelLocationType;


////////////////////////////////////////////////////////////////////////////////
// VtChSubPlotLabelLocationType
//		Describes the subchart label position
//
typedef enum {
    VtChSubPlotLabelLocationTypeNone = 0,
    VtChSubPlotLabelLocationTypeAbove = 1,
    VtChSubPlotLabelLocationTypeBelow = 2,
    VtChSubPlotLabelLocationTypeCenter = 3
} VtChSubPlotLabelLocationType;


////////////////////////////////////////////////////////////////////////////////
// VtChPieWeightBasis
//		Describes the basis of weighting for pie charts
//
typedef enum {
    VtChPieWeightBasisNone = 0,
    VtChPieWeightBasisTotal = 1,
    VtChPieWeightBasisSeries = 2
} VtChPieWeightBasis;


////////////////////////////////////////////////////////////////////////////////
// VtChPieWeightStyle
//		Describes how the weighting factor is applied.
//
typedef enum {
    VtChPieWeightStyleArea = 0,
    VtChPieWeightStyleDiameter = 1
} VtChPieWeightStyle;


////////////////////////////////////////////////////////////////////////////////
// VtChAxisId
// 	Describes the axis id 
//
typedef enum {
    VtChAxisIdX = 0,
    VtChAxisIdY = 1,
    VtChAxisIdY2 = 2,
    VtChAxisIdZ = 3,
    VtChAxisIdNone = 4
} VtChAxisId;


////////////////////////////////////////////////////////////////////////////////
// VtChDateIntervalType
//		Describes the types of date intervals for date axes
//
typedef enum {
    VtChDateIntervalTypeNone = 0,
    VtChDateIntervalTypeDaily = 1,
    VtChDateIntervalTypeWeekly = 2,
    VtChDateIntervalTypeSemimonthly = 3,
    VtChDateIntervalTypeMonthly = 4,
    VtChDateIntervalTypeYearly = 5,
    VtChDateIntervalTypeHour = 6,
    VtChDateIntervalTypeMinute = 7,
    VtChDateIntervalTypeSecond = 8,
    VtChDateIntervalTypeMillisecond = 9
} VtChDateIntervalType;

////////////////////////////////////////////////////////////////////////////////
// VtChScaleType
//		Describes the type of scaling for value or polar axes
// 
typedef enum {
    VtChScaleTypeLinear = 0,
    VtChScaleTypeLogarithmic = 1,
    VtChScaleTypePercent = 2,
    VtChScaleTypeCategory = 3,
    VtChScaleTypeDate = 4
} VtChScaleType;


////////////////////////////////////////////////////////////////////////////////
// VtChPercentAxisBasis
// 	Describes the type of percent axis scaling 
//
typedef enum {
    VtChPercentAxisBasisMaxChart = 0,
    VtChPercentAxisBasisMaxRow = 1,
    VtChPercentAxisBasisMaxColumn = 2,
    VtChPercentAxisBasisSumChart = 3,
    VtChPercentAxisBasisSumRow = 4,
    VtChPercentAxisBasisSumColumn = 5
} VtChPercentAxisBasis;


////////////////////////////////////////////////////////////////////////////////
// VtChAxisTickStyle
// 	Describes the type of axis tick
//
typedef enum {
    VtChAxisTickStyleNone = 0,
    VtChAxisTickStyleCenter = 1,
    VtChAxisTickStyleInside = 2,
    VtChAxisTickStyleOutside = 3
} VtChAxisTickStyle;


////////////////////////////////////////////////////////////////////////////////
// Series statistics flags
//
typedef enum {
    VtChStatsMinimum = 1,
    VtChStatsMaximum = 2,
    VtChStatsMean = 4,
    VtChStatsStddev = 8,
    VtChStatsRegression = 16
} VtChStats;


////////////////////////////////////////////////////////////////////////////////
// VtChUpdateFlag
//		Defines the effect an update has on the chart.
//
typedef enum {
    VtChNoDisplay = 0,
    VtChDisplayPlot = 1,
    VtChLayoutPlot = 2,
    VtChDisplayLegend = 4,
    VtChLayoutLegend = 8,
    VtChLayoutSeries = 16,
    VtChPositionSection = 32
} VtChUpdateFlag;


////////////////////////////////////////////////////////////////////////////////
// mouse flags
//
typedef enum {
    VtChMouseFlagShiftKeyDown = 4,
    VtChMouseFlagControlKeyDown = 8
} VtChMouseFlag;


////////////////////////////////////////////////////////////////////////////////
// Formula One links
//
typedef enum {
    VtChSsLinkModeOff = 0,
    VtChSsLinkModeOn = 1,
    VtChSsLinkModeAutoParse = 2
} VtChSsLinkMode;


////////////////////////////////////////////////////////////////////////////////
// drawing modes
typedef enum {
    VtChDrawModeDraw = 0,
    VtChDrawModeBlit = 1
} VtChDrawMode;


////////////////////////////////////////////////////////////////////////////////
// VtChContourColorType - Used to describe how contour colors are assigned.
//
typedef enum {
    VtChContourColorTypeAutomatic = 0,
    VtChContourColorTypeGradient = 1,
    VtChContourColorTypeManual = 2
} VtChContourColorType;


////////////////////////////////////////////////////////////////////////////////
// VtChContourDisplayType - Used to describe the type of contour representation
//		in a contour chart.
//
typedef enum {
    VtChContourDisplayTypeCBands = 0,
    VtChContourDisplayTypeCLines = 1
} VtChContourDisplayType;


////////////////////////////////////////////////////////////////////////////////
// VtChSurfaceBaseType - Used by the surface charts to describe the base
//		rendered underneath the actual surface.  Pedestal refers to a standard
//		base that rises up to meet the surface.
//
typedef enum {
    VtChSurfaceBaseTypePedestal = 0,
    VtChSurfaceBaseTypeStandard = 1,
    VtChSurfaceBaseTypeStandardWithCBands = 2,
    VtChSurfaceBaseTypeStandardWithCLines = 3
} VtChSurfaceBaseType;


////////////////////////////////////////////////////////////////////////////////
// VtChSurfaceDisplayType - Used to describe the actual surface representation
//		itself in a surface chart.  Note that the CLine option renders the
//		contour lines without clipping.
//	
typedef enum {
    VtChSurfaceDisplayTypeNone = 0,
    VtChSurfaceDisplayTypeCBands = 1,
    VtChSurfaceDisplayTypeCLines = 2,
    VtChSurfaceDisplayTypeSolid = 3,
    VtChSurfaceDisplayTypeSolidWithCLines = 4
} VtChSurfaceDisplayType;


////////////////////////////////////////////////////////////////////////////////
// VtChSurfaceProjectionType - These are the available types for the planar
//		contour projections that float above the surface of a surface chart.
//		
typedef enum {
    VtChSurfaceProjectionTypeNone = 0,
    VtChSurfaceProjectionTypeCBands = 1,
    VtChSurfaceProjectionTypeCLines = 2
} VtChSurfaceProjectionType;


////////////////////////////////////////////////////////////////////////////////
// VtChSurfaceWireframeType - The rows and columns of a surface chart each use
//		one of these to describe how the wireframe grid will be striped in their
//		particular direction.
//
typedef enum {
    VtChSurfaceWireframeTypeNone = 0,
    VtChSurfaceWireframeTypeMajor = 1,
    VtChSurfaceWireframeTypeMajorAndMinor = 2
} VtChSurfaceWireframeType;

typedef enum {
    VtAppearanceFlat = 0,
    VtAppearance3D = 1
} VtAppearance;

typedef enum {
    VtBorderStyleNone = 0,
    VtBorderStyleFixedSingle = 1
} VtBorderStyle;

typedef enum {
    VtMousePointerDefault = 0,
    VtMousePointerArrow = 1,
    VtMousePointerCross = 2,
    VtMousePointerIbeam = 3,
    VtMousePointerIcon = 4,
    VtMousePointerSize = 5,
    VtMousePointerSizeNESW = 6,
    VtMousePointerSizeNS = 7,
    VtMousePointerSizeNWSE = 8,
    VtMousePointerSizeWE = 9,
    VtMousePointerUpArrow = 10,
    VtMousePointerHourGlass = 11,
    VtMousePointerNoDrop = 12,
    VtMousePointerArrowHourGlass = 13,
    VtMousePointerArrowQuestion = 14,
    VtMousePointerSizeAll = 15
} VtMousePointer;

typedef enum {
    VtChMenuItemDesigner = 0,
    VtChMenuItemEditData = 1,
    VtChMenuItemWizard = 2,
    VtChMenuItemEditCopy = 3,
    VtChMenuItemEditPaste = 4,
    VtChMenuItemPrint = 5,
    VtChMenuItemSaveAs = 6,
    VtChMenuItemLoad = 7
} VtChMenuItem;

#endif // __VCFI6_H__