VERSION 5.00
Object = "{2C724BE0-A87B-11D1-8027-00A0C903B2B1}#6.0#0"; "TTFI6.ocx"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   7095
   ClientLeft      =   4035
   ClientTop       =   2205
   ClientWidth     =   7005
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   7095
   ScaleWidth      =   7005
   Begin VtChartLib6.VtChart VtChart1 
      Height          =   4455
      Left            =   0
      TabIndex        =   3
      Top             =   1080
      Width           =   6975
      _ExtentX        =   12303
      _ExtentY        =   7858
      _0              =   $"scroll.frx":0000
      _1              =   $"scroll.frx":0409
      _2              =   $"scroll.frx":0812
      _3              =   $"scroll.frx":0C1B
      _4              =   $"scroll.frx":1024
      _5              =   $"scroll.frx":142D
      _6              =   $"scroll.frx":1836
      _7              =   $"scroll.frx":1C3F
      _8              =   $"scroll.frx":2048
      _9              =   $"scroll.frx":2451
      _10             =   $"scroll.frx":285A
      _11             =   $"scroll.frx":2C63
      _12             =   $"scroll.frx":306C
      _13             =   $"scroll.frx":3475
      _14             =   "/???.D@@@@@D@@@D@@@D@@@)]A@@c@@@G@)V4)L)i34@B@C@@@@@D@@@@@A@@@@@.??????????????.A@@@@@d@@@I@)V4-Window-@C@D@@@@@,00C0"
      _count          =   15
      _ver            =   2
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   6840
      Width           =   6915
   End
   Begin VB.Label lblinfo 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BackStyle       =   0  'Transparent
      Caption         =   "Information"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   0
      TabIndex        =   1
      Top             =   840
      Width           =   6915
   End
   Begin VB.Label lblTitle 
      Alignment       =   2  'Center
      Caption         =   "Dow Jones Average"
      BeginProperty Font 
         Name            =   "Times New Roman"
         Size            =   24
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   0
      TabIndex        =   0
      Top             =   120
      Width           =   6915
   End
   Begin VB.Menu mnuChartTypeHead 
      Caption         =   "&Chart Type"
      Begin VB.Menu mnuChartType 
         Caption         =   "2D Line"
         Index           =   0
      End
      Begin VB.Menu mnuChartType 
         Caption         =   "2D Area"
         Index           =   1
      End
      Begin VB.Menu mnuChartType 
         Caption         =   "3D Line"
         Index           =   2
      End
      Begin VB.Menu mnuChartType 
         Caption         =   "3D Area"
         Index           =   3
      End
      Begin VB.Menu mnuChartType 
         Caption         =   "3D Step"
         Index           =   4
      End
   End
   Begin VB.Menu mnuSetDaysVisible 
      Caption         =   "&Set Days Visible!"
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit
Option Base 1
Dim DJData() As Double
Dim gNumDataRows%


Sub SetInfoLabel(offset%)

   lblinfo.Caption = " Dow Jones Average on " & _
      Format(DJData(HScroll1.Value + offset, 1), "d mmmm yyyy") & _
      " was " & DJData(HScroll1.Value + offset, 2)

End Sub

Sub ShowView(startingAt%)
   
   Dim i%, numRows%, min!, max!, temp#
   Dim numLabels%, label$
   
   numRows = HScroll1.LargeChange
   '' If the user has scrolled to the end of the data, change
   '' the startingAt value so the entire chart can be viewed.
   '' This catches the case where the user has large window
   '' and wants to scroll to the end.
   If startingAt > 1 And startingAt > gNumDataRows - numRows Then
      startingAt = gNumDataRows - numRows
   End If
   
   VtChart1.RowCount = numRows

   '' The dimmensions of the array must match the dimmensions
   '' of the chart you want to fill. You must always use a 2D
   '' array even if you are copying in one row of data.
   ReDim theData(numRows, 1) As Double
   max = 0
   min = 10000
   
   For i = 1 To numRows
      temp = DJData(i + startingAt, 2)
      theData(i, 1) = temp
      max = IIf(temp > max, temp, max)
      min = IIf(temp < min, temp, min)
   Next i
   
   VtChart1.CopyDataFromArray 1, 1, numRows, 1, theData
   
   '' AutoScale will have a minimum at zero. We set min
   '' and max manually here
   VtChart1.Plot.Axis(VtChAxisIdY).ValueScale.Maximum = Int((max + 20) / 10) * 10
   VtChart1.Plot.Axis(VtChAxisIdY).ValueScale.Minimum = Int((min - 20) / 10) * 10
   
   '' Clear any old datapoint labels
   Dim DataPoint As Object
   With VtChart1.Plot.SeriesCollection.Item(1)
      For Each DataPoint In .DataPoints
         DataPoint.DataPointLabel.ResetCustomLabel
      Next DataPoint
   End With
   '' Set a new label for only the last datapoint
   With VtChart1.Plot.SeriesCollection.Item(1).DataPoints.Item(numRows).DataPointLabel
      .LocationType = VtChLabelLocationTypeCenter
      .Text = Format(DJData(startingAt + numRows, 1), "m/d/yy")
      .LineStyle = VtChLabelLineStyleStraight
   End With
   
   SetInfoLabel IIf(startingAt + numRows + 1 > gNumDataRows, gNumDataRows - HScroll1.Value, numRows)
   
End Sub



Private Sub Form_Load()
   Dim numRows%, numCols%, col1Text$, col2Text$
   Dim i%, j%, junk&
   
   Open App.Path & "\djave.txt" For Input As #1
   Input #1, numRows, numCols, col1Text, col2Text
   ReDim DJData(numRows, numCols) As Double
   
   For i = 1 To numRows
      Input #1, DJData(i, 1), DJData(i, 2)
   Next i
   
   Close #1
   
   '' Size the scrollbar and the chart
   gNumDataRows = numRows
   HScroll1.Left = 60
   HScroll1.min = 1
   HScroll1.max = numRows
   HScroll1.LargeChange = 20
   VtChart1.Left = 60
   VtChart1.RowCount = 20
   VtChart1.Plot.Axis(VtChAxisIdY).ValueScale.Auto = False
   VtChart1.Plot.Axis(VtChAxisIdY).Labels.Item(1).Format = "#,##0"

   ShowView HScroll1.Value
   

End Sub


Private Sub Form_Resize()
   VtChart1.Repaint = False
   lblTitle.Width = ScaleWidth
   lblinfo.Width = ScaleWidth
   VtChart1.Width = ScaleWidth - 120
   VtChart1.Height = ScaleHeight - HScroll1.Height _
      - lblinfo.Height - lblTitle.Height - 210
   HScroll1.Width = ScaleWidth - 120
   HScroll1.Top = ScaleHeight - HScroll1.Height - 60
   VtChart1.Repaint = True

End Sub


Private Sub HScroll1_Change()
   '' This prevents the user from scrolling into a dead area
   '' where a change in scrollbar produces no change in the chart.
   '' This can happen if the scrollbar is dragged to the end of
   '' the chart and the user clicks on the arrow towards the
   '' beginning of the chart.
   If HScroll1.Value + HScroll1.LargeChange > HScroll1.max Then
      HScroll1.Value = HScroll1.max - HScroll1.LargeChange
   Else
      ShowView HScroll1.Value
   End If
   

End Sub


Private Sub mnuChartType_Click(Index As Integer)
   Dim i%
   
   For i = 0 To 4
      mnuChartType(i).Checked = False
   Next i
   
   mnuChartType(Index).Checked = True

   VtChart1.Plot.SeriesCollection.Item(1).Pen.Width = 2
   Select Case Index
      Case 0
         VtChart1.chartType = VtChChartType2dLine
         VtChart1.Plot.SeriesCollection.Item(1).Pen.Width = 0
      Case 1
         VtChart1.chartType = VtChChartType2dArea
      Case 2
         VtChart1.chartType = VtChChartType3dLine
      Case 3
         VtChart1.chartType = VtChChartType3dArea
      Case 4
         VtChart1.chartType = VtChChartType3dStep
   End Select

End Sub

Private Sub mnuSetDaysVisible_Click()
   Dim title$, msg$, retval$, default$, result$
   
   Let title = "Number of Days in Plot"
   Let msg = "Enter a number between 10 and " & gNumDataRows
   default = Str(VtChart1.RowCount)
  
   result = InputBox(msg, title, default)
   
   While StrComp(result, "") <> 0 And (Val(result) < 10 Or Val(result) > gNumDataRows)
      MsgBox "Value must be between 10 and " & gNumDataRows
      result = InputBox(msg, title, default)
   Wend
   
   If StrComp(result, "") <> 0 Then
      HScroll1.LargeChange = Val(result)
      ShowView HScroll1.Value
   End If
End Sub


Private Sub VtChart1_AxisLabelSelected(axisID As Integer, AxisIndex As Integer, labelSetIndex As Integer, LabelIndex As Integer, MouseFlags As Integer, Cancel As Integer)
   Cancel = True

End Sub

Private Sub VtChart1_AxisSelected(axisID As Integer, AxisIndex As Integer, MouseFlags As Integer, Cancel As Integer)
   Cancel = True

End Sub


Private Sub VtChart1_AxisTitleSelected(axisID As Integer, AxisIndex As Integer, MouseFlags As Integer, Cancel As Integer)
   Cancel = True

End Sub


Private Sub VtChart1_ChartSelected(MouseFlags As Integer, Cancel As Integer)
   Cancel = True

End Sub


Private Sub VtChart1_FootnoteSelected(MouseFlags As Integer, Cancel As Integer)
   Cancel = True

End Sub


