Attribute VB_Name = "SSMDI1"
Option Explicit

'' This variable is used to name the worksheets in each
'' child window.
Global gNewSSCount As Integer

'' These are used for the Format Painter command
Global FormatPainterFlag As Integer
Global FmtPntStartRow As Integer
Global FmtPntEndRow As Integer
Global FmtPntStartCol As Integer
Global FmtPntEndCol As Integer

Sub C_Clear()

   '' Clear the current selection(s)
   On Error Resume Next
   If SSIsActiveForm() Then
      MainFrame.ActiveForm.ss.EditClear (F1ClearAll)
   End If

End Sub

Sub C_Copy()

   If SSIsActiveForm() Then
      MainFrame.ActiveForm.ss.EditCopy
   End If

End Sub

Sub C_Cut()

   If SSIsActiveForm() Then
      MainFrame.ActiveForm.ss.EditCut
   End If

End Sub

Sub C_New()
   
   On Error GoTo CantCreateNewOne
   Dim ss As New frmMDIChild       '' Create a new worksheet and
   ss.Visible = True                '' make it visible
   Exit Sub

CantCreateNewOne:
   MsgBox "Unable to create new worksheet."

End Sub

Sub C_Paste()

   If SSIsActiveForm() Then
      MainFrame.ActiveForm.ss.EditPaste
   End If

End Sub

Sub C_Save()
    Dim response%
   If SSIsActiveForm() Then
      If Left$(MainFrame.ActiveForm.ss.TableName, 5) = "F1Book" Then
         response = SSMDISaveAsFile
      Else
         On Error GoTo CantSave
         MainFrame.ActiveForm.ss.Write MainFrame.ActiveForm.ss.TableName, MainFrame.ActiveForm.ss.Tag
         Exit Sub
CantSave:
         MsgBox "Unable to save " & MainFrame.ActiveForm.ss.TableName
         Exit Sub
      End If
   End If

End Sub


Function SSIsActiveForm%()

   Dim bRet%
   
   bRet% = False
   If Forms.Count > 1 Then
      bRet% = True
   End If
   SSIsActiveForm% = bRet%

End Function

Sub SSMDIOpenFile(OptionalFileName As String)
    
   Dim FileName As String, FileType%
   Dim Er As Integer

   FileName = Space$(256)
   If Not SSIsActiveForm Then
      Call C_New
      If Not (MainFrame.ActiveForm Is Nothing) Then
         MainFrame.ActiveForm.SetFocus
      End If
   End If
   
   On Error GoTo Cancel
   
   If OptionalFileName = "" Then
      FileName = MainFrame.ActiveForm.ss.OpenFileDlgEx("Formula One Demo", MainFrame.hWnd)
      Er = 0
   Else
      FileName = OptionalFileName
      Er = 0
   End If
   
   If Er <> 0 Then
      'Call ShowSSError(Er)
   Else
      On Error GoTo CantCreateIt
      Dim NewBook As New frmMDIChild
      On Error GoTo UnloadIt

      FileType = NewBook.ss.ReadEx(FileName)
      NewBook.ss.TableName = FileName
      NewBook.Caption = FileName
      NewBook.Visible = True
      NewBook.ss.Tag = FileType
      Exit Sub

Cancel:
      If Err <> 20023 Then
         'Call ShowSSError(Er)
      End If
      Exit Sub
      
CantCreateIt:
      MsgBox "Unable to create " & FileName
      Exit Sub

UnloadIt:
      Unload NewBook
      MsgBox "Unable to load " & FileName
      
      Exit Sub
    End If

End Sub

Public Function SSMDISaveAsFile() As Long

   Dim Filespec As F1FileSpec
   Dim Er As Integer
   Dim FileType As Integer

   
   On Error GoTo Cancel
   MainFrame.ActiveForm.ss.SaveFileDlgEx "Formula One Demo", Filespec
    
   If Err <> 0 Then
      'Call ShowSSError(Err)
   Else
      On Error GoTo CantWriteIt
      MainFrame.ActiveForm.ss.WriteEx Filespec.Name, Filespec.Type
      MainFrame.ActiveForm.ss.TableName = Filespec.Name
      MainFrame.ActiveForm.Caption = Filespec.Name
      MainFrame.ActiveForm.ss.Tag = Filespec.Type
      SSMDISaveAsFile = 0
      Exit Function

Cancel:
    If Err <> 20023 Then
'        Call ShowSSError(Er)
    End If
        SSMDISaveAsFile = vbCancel
    Exit Function
   
CantWriteIt:
      MsgBox "Unable to write " & Filespec.Name
      Exit Function
   End If
End Function

Public Sub UpdateAlignment()

    Dim WordWrap As Boolean, i As Integer
   
    For i = 8 To 11
        MainFrame.tlbFormat.Buttons.Item(i).Value = tbrUnpressed
    Next i
    
    Select Case MainFrame.ActiveForm.ss.HAlign
       Case F1HAlignLeft
          MainFrame.tlbFormat.Buttons.Item(8).Value = tbrPressed
          
       Case F1HAlignCenter
          MainFrame.tlbFormat.Buttons.Item(9).Value = tbrPressed
          
       Case F1HAlignRight
          MainFrame.tlbFormat.Buttons.Item(10).Value = tbrPressed
          
       Case F1HAlignCenterAcrossCells
          MainFrame.tlbFormat.Buttons.Item(11).Value = tbrPressed
          
    End Select
    
    For i = 3 To 5
        MainFrame.tlbFormat.Buttons.Item(i).Value = tbrUnpressed
    Next i
    
    If MainFrame.ActiveForm.ss.FontBold Then MainFrame.tlbFormat.Buttons.Item(3).Value = tbrPressed
    If MainFrame.ActiveForm.ss.FontItalic Then MainFrame.tlbFormat.Buttons.Item(4).Value = tbrPressed
    If MainFrame.ActiveForm.ss.FontUnderline Then MainFrame.tlbFormat.Buttons.Item(5).Value = tbrPressed

End Sub

Public Sub UpdateCBOFontAndSize()

   Dim i%
 
    For i = 0 To Screen.FontCount - 1
        
        If StrComp(MainFrame.ActiveForm.ss.FontName, MainFrame.cboFontName.List(i), vbTextCompare) = 0 Then
              MainFrame.cboFontName.ListIndex = i
              MainFrame.cboFontSize.Text = Str(MainFrame.ActiveForm.ss.FontSize / 20)
              Exit Sub
        End If
    Next i
     
    '' Empty selection since font not found
    MainFrame.cboFontName.ListIndex = -1
    MainFrame.cboFontSize.Text = ""
   
End Sub


